package org.apithefire.servlet.server;

public abstract class Connector {
	
	private final int port;
	
	protected Connector(int port) {
		this.port = port;
	}
	
	public int getPort() {
		return port;
	}
	
	protected void configure() {
		if (port < 1) {
			throw new ServerException("Invalid connector port (port < 1).");
		}
	}
	
}
