package org.apithefire.servlet.pathmap;

import javax.servlet.Servlet;

import org.apithefire.util.lang.Objects;
import org.apithefire.util.lang.Path;

class ServletMatch {

	private Servlet servlet;
	private Path servletPath;
	private Path pathInfo;
	
	protected ServletMatch(Servlet servlet, Path servletPath, Path pathInfo) {
		this.servlet = Objects.nonNull(servlet);
		this.servletPath = Objects.nonNull(servletPath);
		this.pathInfo = Objects.nonNull(pathInfo);
	}
	
	public Servlet getServlet() {
		return servlet;
	}
	
	public Path getServletPath() {
		return servletPath;
	}
	
	public Path getPathInfo() {
		return pathInfo;
	}
	
}
